package com.android.launcher3.settings;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

import com.secspace.lib.common.utils.Prefs;

public class BootReceiver extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        Log.i("BootReceiver", "onReceive: "+intent.getAction());
        if(Prefs.isAutoStartSelf(context)){
            Intent intent1=new Intent();
            intent1.setClass(context, BlankActivity.class);
            intent1.setPackage(context.getPackageName());
            intent1.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            context.startActivity(intent1);
        }
    }
}
